#!/system/bin/sh

if [ -e /system/lib/aml_fd628.ko ];then
	insmod /system/lib/aml_fd628.ko
fi

if [ -e /system/bin/FD628Service ];then
	/system/bin/FD628Service &
   cat /sys/class/ethernet/linkspeed | grep unlink
   if [ $? != 0 ];then
	   echo eth > /sys/class/leds/fd628_dev/led_on
   fi
	HOURS_TYPE=`settings get system time_12_24`
    if [ $HOURS_TYPE == 24 ];then
        setprop persist.sys.12_24hours 24
    else
        setprop persist.sys.12_24hours 12
    fi
fi

# Init.d support
SU="$(ls /su/bin/su 2>/dev/null || ls /system/xbin/su) -c"
mount -o rw,remount /system && SU="" || eval "$SU mount -o rw,remount /system"
eval "$SU chmod 777 /system/etc/init.d"
eval "$SU chmod 777 /system/etc/init.d/*"
eval "$SU mount -o ro,remount /system"
ls /system/etc/init.d/* 2>/dev/null | while read xfile ; do eval "$SU /system/bin/sh $xfile" ; done
